curl --request GET \
--url https://api.spacebring.com/transactions/day_passes/v1 \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/transactions/day_passes/v1"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/transactions/day_passes/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"amount": 123,
"amounts": [
{
"amount": 123,
"expirationDate": "2023-11-07T05:31:56Z",
"subscriptionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"createDate": "2023-11-07T05:31:56Z",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"logo": {
"key": "<string>",
"url": "<string>"
},
"title": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"booking": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
},
"company": {
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscriptionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"logo": {
"key": "<string>",
"url": "<string>"
},
"metadata": {},
"notes": "<string>",
"publicLogoUrl": "<string>"
},
"companyRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRefCreator": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product": {
"title": "<string>",
"type": "booking",
"bookingRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"refund": {
"amount": 123,
"createDate": "2023-11-07T05:31:56Z"
},
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"userCreatedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"userCreator": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"userOwner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"userRefCreator": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userRefOwner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"nextPageToken": "<string>",
"searchQueryNext": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Retrieve day pass transactions
Retrieve day passes transactions.
OAuth
Required scopes:transactions.readonly or transactionsAuthorizations
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
Deprecated. Use customerRef instead. The id of the company to get transactions for.
Get transactions with greater or equal createDate. Example: createDate[gte]=2021-05-21T10:00:00Z
Get transactions with less or equal createDate. Example: createDate[lte]=2021-05-21T10:00:00Z
UUID of the company or membership whose day pass transactions to list.
Maximum number of transactions per page. Defaults to 25 when omitted or invalid; values above 100 are capped at 100.
1 <= x <= 100UUID of the location whose day pass transactions to list.
Deprecated. Use customerRef instead. The id of the membership to get transactions for.
Token to retrieve the next page of results.
Filter by transaction type. Comma-separated storage type values, e.g. type=refund,booking. Matches analytics report type filters.
Was this page helpful?